### Hierarchy

- EventTarget
  - MSInputMethodContext

## Index

### Properties

- EventTarget
- compositionEndOffset
- compositionStartOffset
- oncandidatewindowhide
- oncandidatewindowshow
- oncandidatewindowupdate
- target

### Methods

- addEventListener
- dispatchEvent
- getCandidateWindowClientRect
- getCompositionAlternatives
- hasComposition
- isCandidateWindowVisible
- removeEventListener

## Properties

### EventTarget

EventTarget: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5081

#### Type declaration

- ##### constructor: function

  - new __type(): EventTarget
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5082

    #### Returns EventTarget

- ##### prototype: EventTarget

### compositionEndOffset

compositionEndOffset: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9561

### compositionStartOffset

compositionStartOffset: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9562

### oncandidatewindowhide

oncandidatewindowhide: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9563

### oncandidatewindowshow

oncandidatewindowshow: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9564

### oncandidatewindowupdate

oncandidatewindowupdate: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9565

### target

target: HTMLElement

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9566

## Methods

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9571

  #### Type parameters

  - #### K: keyof MSInputMethodContextEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: MSInputMethodContext, ev: MSInputMethodContextEventMap[K]): any

      - #### Parameters

        - ##### this: MSInputMethodContext

        - ##### ev: MSInputMethodContextEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9572

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### getCandidateWindowClientRect

- getCandidateWindowClientRect(): ClientRect

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9567

  #### Returns ClientRect

### getCompositionAlternatives

- getCompositionAlternatives(): string[]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9568

  #### Returns string[]

### hasComposition

- hasComposition(): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9569

  #### Returns boolean

### isCandidateWindowVisible

- isCandidateWindowVisible(): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9570

  #### Returns boolean

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9573

  #### Type parameters

  - #### K: keyof MSInputMethodContextEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: MSInputMethodContext, ev: MSInputMethodContextEventMap[K]): any

      - #### Parameters

        - ##### this: MSInputMethodContext

        - ##### ev: MSInputMethodContextEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9574

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

Generated using TypeDoc